def english_font(bangla_font)
  patterns = {
      'ভ্ল' => 'bhl',
      'পশ' => 'psh',
      'ব্ধ' => 'bdh',
      'ব্জ' => 'bj',
      'ব্দ' => 'bd',
      'ব্ব' => 'bb',
      'ব্ল' => 'bl',
      'ভ' => 'bh',
      'ব' => 'b',
      'চ্ঞ' => 'cNG',
      'চ্ছ' => 'cch',
      'চ্চ' => 'cc',
      'ছ' => 'chh',
      'চ' => 'ch',
      'ধ্ন' => 'dhn',
      'ধ্ম' => 'dhm',
      'দ্ঘ' => 'dgh',
      'দ্ধ' => 'ddh',
      'দ্ভ' => 'dbh',
      'দ্ম' => 'dm',
      'ড্ড' => 'DD',
      'ঢ' => 'Dh',
      'ধ' => 'dh',
      'দ্গ' => 'dg',
      'দ্দ' => 'dd',
      'ড' => 'D',
      'দ' => 'd',
      '...' => '...',
      '.' => '.',
      '।।' => '..',
      '।' => '.',
      'ঘ্ন' => 'Ghn',
      'গ্ধ' => 'Gdh',
      'গ্ণ' => 'GN',
      'গ্ন' => 'gn',
      'গ্ম' => 'gm',
      'গ্ল' => 'Gl',
      'জ্ঞ' => 'gg',
      'ঘ' => 'Gh',
      'গ' => 'g',
      'হ্ণ' => 'hN',
      'হ্ন' => 'hn',
      'হ্ম' => 'hm',
      'হ্ল' => 'hl',
      'হ' => 'h',
      'জ্ঝ' => 'jjh',
      'ঝ' => 'jh',
      'জ্জ' => 'jj',
      'জ' => 'j',
      'ক্ষ্ণ' => 'kkhN',
      'ক্ষ্ম' => 'kkhm',
      'ক্ষ্ম' => 'kxm',
      'ক্ষ' => 'kkh',
      'কশ' => 'ksh',
      'ক্ক' => 'kk',
      'ক্ট' => 'kT',
      'ক্ত' => 'kt',
      'ক্ল' => 'kl',
      'ক্স' => 'ks',
      'খ' => 'kh',
      'ক' => 'k',
      'ল্ভ' => 'lbh',
      'ল্ধ' => 'ldh',
      'লখ' => 'lkh',
      'লঘ' => 'lgh',
      'লফ' => 'lph',
      'ল্ক' => 'lk',
      'ল্গ' => 'lg',
      'ল্ট' => 'lT',
      'ল্ড' => 'lD',
      'ল্প' => 'lp',
      'ল্ম' => 'lm',
      'ল্ল' => 'll',
      'ল্ব' => 'lb',
      'ল' => 'l',
      'ম্থ' => 'mth',
      'ম্ফ' => 'mph',
      'ম্ভ' => 'mbh',
      'মপ্ল' => 'mpl',
      'ম্ন' => 'mn',
      'ম্প' => 'mp',
      'ম্ম' => 'mm',
      'ম্ল' => 'ml',
      'ম্ব' => 'mb',
      'ম' => 'm',
      '০' => 'shyuno',
      'ak' => '1',
      '২' => 'dui',
      '৩' => 'teen',
      '৪' => 'char',
      '৫' => 'panch',
      '৬' => 'choi',
      '৭' => 'saat',
      '৮' => 'aat',
      '৯' => 'nooi',
      'ঙ্ক্ষ' => 'NgkSh',
      'ঞ্ছ' => 'NGch',
      'ঙ্ঘ' => 'Nggh',
      'ঙ্খ' => 'Ngkh',
      'ঞ্ঝ' => 'NGjh',
      'ঙ্গৌ' => 'ngOU',
      'ঙ্গৈ' => 'ngOI',
      'ঞ্চ' => 'NGc',
      'ঙ্ক' => 'Ngk',
      'ঙ্ষ' => 'Ngx',
      'ঙ্গ' => 'Ngg',
      'ঙ্ম' => 'Ngm',
      'ঞ্জ' => 'NGj',
      'ন্ধ' => 'ndh',
      'ন্ঠ' => 'nTh',
      'ণ্ঠ' => 'NTh',
      'ন্থ' => 'nth',
      'ঙ্গা' => 'nga',
      'ঙ্গি' => 'ngi',
      'ঙ্গী' => 'ngI',
      'ঙ্গু' => 'ngu',
      'ঙ্গূ' => 'ngU',
      'ঙ্গে' => 'nge',
      'ঙ্গো' => 'ngO',
      'ণ্ঢ' => 'NDh',
      'নশ' => 'nsh',
      'ঙর' => 'Ngr',
      'ঞর' => 'NGr',
      'ংর' => 'ngr',
      'ঙ' => 'Ng',
      'ঞ' => 'NG',
      'ং' => 'ng',
      'ন্ন' => 'nn',
      'ণ্ণ' => 'NN',
      'ণ্ন' => 'Nn',
      'ন্ম' => 'nm',
      'ণ্ম' => 'Nm',
      'ন্দ' => 'nd',
      'ন্ট' => 'nT',
      'ণ্ট' => 'NT',
      'ন্ড' => 'nD',
      'ণ্ড' => 'ND',
      'ন্ত' => 'nt',
      'ন্স' => 'ns',
      'ন' => 'n',
      'ণ' => 'N',
      'ৈ' => 'OI',
      'ৌ' => 'OU',
      'ো' => 'O',
      'ঐ' => 'OI',
      'ঔ' => 'OU',
      'ও' => 'O',
      'ফ্ল' => 'phl',
      'প্ট' => 'pT',
      'প্ত' => 'pt',
      'প্ন' => 'pn',
      'প্প' => 'pp',
      'প্ল' => 'pl',
      'প্স' => 'ps',
      'ফ' => 'ph',
      'প' => 'p',
      'ৃ' => 'rri',
      'ঋ' => 'rri',
      'রর‍্য' => 'rrZ',
      'র‍্য' => 'rZ',
      '্র্য' => 'rZ',
      'রর' => 'rr',
      'র্' => 'rr',
      '্রর' => 'rr',
      'ড়্গ' => 'Rg',
      'ঢ়' => 'Rh',
      'ড়' => 'R',
      'র' => 'r',
      '্র' => 'r',
      'শ্ছ' => 'shch',
      'ষ্ঠ' => 'ShTh',
      'ষ্ফ' => 'Shph',
      'স্ক্ল' => 'skl',
      'স্খ' => 'skh',
      'স্থ' => 'sth',
      'স্ফ' => 'sph',
      'শ্চ' => 'shc',
      'শ্ত' => 'sht',
      'শ্ন' => 'shn',
      'শ্ম' => 'shm',
      'শ্ল' => 'shl',
      'ষ্ক' => 'Shk',
      'ষ্ট' => 'ShT',
      'ষ্ণ' => 'ShN',
      'ষ্প' => 'Shp',
      'ষ্ম' => 'Shm',
      'স্প্ল' => 'spl',
      'স্ক' => 'sk',
      'স্ট' => 'sT',
      'স্ত' => 'st',
      'স্ন' => 'sn',
      'স্প' => 'sp',
      'স্ম' => 'sm',
      'স্ল' => 'sl',
      'শ' => 'sh',
      'ষ' => 'Sh',
      'স' => 's',
      'ু' => 'oo',
      'উ' => 'oo',
      'অ্য' => 'oZ',
      'অ' => 'o',
      'ত্থ' => 'tth',
      'ৎ' => 'dth',
      'ট্ট' => 'TT',
      'ট্ম' => 'Tm',
      'ঠ' => 'Th',
      'ত্ন' => 'tn',
      'ত্ম' => 'tm',
      'থ' => 'th',
      'ত্ত' => 'tt',
      'ট' => 'T',
      'ত' => 't',
      'অ্যা' => 'aZ',
      'া' => 'aya',
      'া' => 'a',
      'আ' => 'a',
      'য়া' => 'a',
      'ি' => 'i',
      'ই' => 'i',
      'ী' => 'I',
      'ঈ' => 'I',
      'ু' => 'u',
      'উ' => 'u',
      'ূ' => 'U',
      'ঊ' => 'U',
      'ী' => 'ee',
      'ঈ' => 'ee',
      'ে' => 'e',
      'এ' => 'e',
      'য' => 'z',
      '্য' => 'Z',
      'য়' => 'y',
      'ইয়' => 'y',
      'ওয়' => 'w',
      '্ব' => 'w',
      'এক্স' => 'x',
      ':' => ':',
      'ঃ' => ':',
      '^' => '^',
      'ঁ' => '',
      '্‌' => '',
      '₹' => '$',
      ' ' => ' '
  }
  patterns[bangla_font] || ''
end